Bug 994904 - Edit dialog for alert conditions loads condition parameters incorrectly
Edit dialog for alert conditions loads condition parameters incorrectly
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts, Core UI (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.10
Assigned To: Jirka Kremser
Mike Foley
:
Depends On: 973140
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 04:43 EDT by Filip Brychta
Modified: 2014-04-23 08:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:30:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alert condition (146.25 KB, image/png)
2013-08-08 04:43 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2013-08-08 04:43:45 EDT
Created attachment 784254 [details]
alert condition

Description of problem:
When editing alert condition of 'Measurement Absolute Value Threshold' type, a 'Metric' field is filled incorrectly. See attached screen shot. There is a number (id of metric probably) instead of name of the metric. 

Version-Release number of selected component (if applicable):
Version: 4.9.0-SNAPSHOT
Build Number: ee56897

How reproducible:
Always

Steps to Reproduce:
1. create alert definition and add condition of type 'Measurement Absolute Value Threshold' (i.e. on RHQ agent resource)
2. select some metric, comparator, put a value
3. Save the condition
4. select the condition and pop up edit dialog

Actual results:
see attached screen shot

Expected results:
correct metric name is displayed

Additional info:
the same problem affects 'Measurement Baseline Threshold', 'Measurement Value Change', 'Measurement Value Range' types
Comment 1 Filip Brychta 2013-08-08 09:21:31 EDT
Covered by automation - com.redhat.qe.jon.sahi.tests.alerts.AlertDefinitioinTest
Comment 2 Jirka Kremser 2013-09-09 08:37:22 EDT
Works in master, it was probably fixed by commit 9c2e41ff
Comment 3 Filip Brychta 2013-10-30 11:57:04 EDT
Verified on
Version :	
4.10.0-SNAPSHOT
Build Number :	
afc0857
Comment 4 Filip Brychta 2014-01-06 07:57:45 EST
Moving it back to ON_DEV. The issue is still there for some combinations. 
Use following conditions:
 - Metric Value Baseline [Up Time < 12.0 % of max]
 - Metric Value Threshold [Number of Commands Sent but Failed = 12.0]
 - Metric Value Range: [Number of Agent Restarts] outside [12.0] and [20.0], exclusive
 - Metric Value Change [Number of Commands Received but Failed  per Minute]
Comment 5 Jirka Kremser 2014-01-06 12:30:49 EST
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=8b14a1f9c
time:    2014-01-06 18:13:19 +0100
commit:  8b14a1f9c08d9f40fd3692e1c2da5a977ce8b57d
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 994904] - Edit dialog for alert conditions loads condition
         parameters incorrectly - The metric name was filtered out as a
         reaction on BZ 737565. Although, it does make sense to do that
         for all _other_ conditions, it does not make sense to filter
         out the metric name of the currently modified condition. (the
         original bug was fixed before the UI was capable of editing
         existing alert conditions).
Comment 6 Jirka Kremser 2014-01-06 12:44:55 EST
btw. only these two conditions were necessary for reproduction (on RHQ Agent resource):

 - Metric Value Threshold [Number of Commands Sent but Failed = 12.0]
 - Metric Value Range: [Number of Agent Restarts] outside [12.0] and [20.0]
Comment 7 Filip Brychta 2014-01-08 04:11:09 EST
Verified on:
4.10.0-SNAPSHOT
Build Number :	
5450097
Comment 8 Heiko W. Rupp 2014-04-23 08:30:24 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.